Loading...
Searching...
No Matches
BALL::VIEW::FrameBuffer Class Reference

`#include <BALL/VIEW/RENDERING/renderTarget.h>`

## Public Member Functions

| FrameBuffer (void *data, const FrameBufferFormat &format)
virtual | ~FrameBuffer ()
void * | getData ()
const void * | getData () const
const FrameBufferFormat & | getFormat () const

## Protected Member Functions

void | setData (void *data)
void | setFormat (const FrameBufferFormat &format)

## Detailed Description

Definition at line 174 of file renderTarget.h.

## Constructor & Destructor Documentation

## FrameBuffer()

BALL::VIEW::FrameBuffer::FrameBuffer | ( | void * | data,
|  | const FrameBufferFormat & | format )

inline

Constructs new FrameBuffer instance with the specified data and format.

Definition at line 181 of file renderTarget.h.

## ~FrameBuffer()

virtual BALL::VIEW::FrameBuffer::~FrameBuffer | ( |  | ) |

inline virtual

You can override this if you want the data array to be deleted with the FrameBuffer.

Definition at line 190 of file renderTarget.h.

## Member Function Documentation

## getData() [1/2]

void * BALL::VIEW::FrameBuffer::getData | ( |  | ) |

inline

Returns pointer to the data of this buffer

Definition at line 193 of file renderTarget.h.

## getData() [2/2]

const void * BALL::VIEW::FrameBuffer::getData | ( |  | ) | const

inline

Returns const pointer to the data of this buffer

Definition at line 196 of file renderTarget.h.

## getFormat()

const FrameBufferFormat & BALL::VIEW::FrameBuffer::getFormat | ( |  | ) | const

inline

Returns the format of this buffer

Definition at line 199 of file renderTarget.h.

## setData()

void BALL::VIEW::FrameBuffer::setData | ( | void * | data | ) |

inline protected

Sets pointer to the data of this buffer

Definition at line 204 of file renderTarget.h.

## setFormat()

void BALL::VIEW::FrameBuffer::setFormat | ( | const FrameBufferFormat & | format | ) |

inline protected

Sets the format of this buffer

Definition at line 207 of file renderTarget.h.